Name:           perl-Net-IP-Match-Regexp
Version:        1.01
Release:        1%{?dist}
Summary:        Efficiently match IP addresses against ranges
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-IP-Match-Regexp/
Source0:        http://www.cpan.org/authors/id/C/CD/CDOLAN/Net-IP-Match-Regexp-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(Net::IP::Match::Regexp)

%description
This module allows you to check an IP address against one or more IP
ranges. It employs Perl's highly optimized regular expression engine to do
the hard work, so it is very fast. It is optimized for speed by doing the
match against a regexp which implicitly checks the broadest IP ranges
first. An advantage is that the regexp can be computed and stored in
advance (in source code, in a database table, etc) and reused, saving much
time if the IP ranges don't change too often. The match can optionally
report a value (e.g. a network name) instead of just a boolean, which makes
module useful for mapping IP ranges to names or codes or anything else.

%prep
%setup -q -n Net-IP-Match-Regexp-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr 08 2020 Peter Ajamian <pj@ghettoforge.org> 1.01-1
- Specfile autogenerated by cpanspec 1.78.
